function [mi,sigma,g1,g2,energy,entropy] = hist_params(vstup)

% Funkce pro výpočet 6 příznaků z jednorozměrného histogramu z LBP
% Vstup funkce:
% vstup - histogram
% Výstupy funkce:
% mi - střední hodnota
% sigma - rozptyl
% g1 - šikmost
% g2 - křivost
% energy - energie
% entropy - entropie

if length(vstup)== 1;
vstup = vstup';
end
N = length(vstup);
hodnoty = zeros(1,N);

for i=1:N
    hodnoty(i) = (i-1);
end

pocet = sum(vstup);

   
mi =  (1/pocet)*sum(hodnoty.*vstup);      

var = (1/pocet)*sum( ((hodnoty.^2).*vstup)) - mi^2;   

sigma = sqrt(var);                                  

g1 = ((1/pocet)*sum( ((hodnoty-mi).^3 ).*vstup) )/(var^(3/2));  
g2 = (((1/pocet)*sum(((hodnoty-mi).^4 ).*vstup)  )/(var^2)) -3; 


energy = sum(vstup.^2)/sum(vstup);

entropy = - sum( vstup.*log_zero(vstup) )/sum(vstup);

end